package sav.example.javaz;
import sav.z.*;
//import java.io.*;
/**
 * This is a simple example of the sav.z.Session extension.
 * New methods of the SessionDemo is based on Zigzag language
 * request and description. If request has been unsuccessful,
 * main program initiates description.
 */
public class SessionDemo extends Session {
  public static void main(String arg[]) {
    SessionDemo ss = new SessionDemo("Users");
    System.out.println("Requesting...");
    String result = ss.request("User:ann1");
    if (result.length() == 0) {
//    if (result.startsWith(";")) {
      System.out.println("Describing...");
      ss.describe("User:ann1", "Password:111111");
      result = ss.request("User:ann1");
    }
    System.out.println(result);
  }
  SessionDemo(String dbPath) {
    super();
    z("$base \"" + dbPath + "\"");
  }
  String request(String object) {
    String sQuery = "= " + object + ";";
    z(sQuery);
    String result = report();
    return result;
  }
  void describe(String object, String attributes) {
    String sUpdate = object + "(" + attributes + ");";
    z(sUpdate);
  }
}
